/**
 * @file
 * Vertical Tabs.
 */

@import "../../components/00_base/media-queries.pcss.css";

:root {
  --vertical-tabs-menu-width: 15rem;
  --vertical-tabs-menu-border-width: 1px;
}

.vertical-tabs {
  @media (--lg) {
    display: flex;
  }
}

.vertical-tabs__menu {
  position: relative;
  align-self: flex-start;
  margin: 0;
  margin-inline-start: 0;
  margin-inline-end: 0;
  list-style: none;
  border-width: var(--vertical-tabs-menu-border-width);
  border-style: solid;
  border-color: var(--color--gray-95);

  @media (--lg) {
    width: var(--vertical-tabs-menu-width);
    border-width: var(--vertical-tabs-menu-border-width) 0 var(--vertical-tabs-menu-border-width) var(--vertical-tabs-menu-border-width);
  }
}

.vertical-tabs__panes {
  margin-block-start: calc(var(--vertical-tabs-menu-border-width) * -1);

  @media (--lg) {
    width: calc(100% - var(--vertical-tabs-menu-width));
    margin-block-start: 0;
  }
}

.vertical-tabs__pane {
  @media (--lg) {
    min-height: 100%;
  }
}

.vertical-tabs__pane.olivero-details {
  margin: 0;
  border-radius: 0;
  box-shadow: none;
}

.vertical-tabs__pane > summary {
  display: none;
}

.vertical-tabs__menu-item:nth-child(n+2) {
  border-block-start: var(--vertical-tabs-menu-border-width) solid var(--color--gray-95);
}

.vertical-tabs__menu-item a {
  display: block;
  padding-block: var(--sp0-5);
  padding-inline-start: var(--sp0-75);
  padding-inline-end: var(--sp0-75);
  text-decoration: none;
  color: var(--color--primary-30);
  background-color: var(--color--gray-95);

  &:focus,
  &:hover,
  &:active {
    background-color: var(--color--gray-100);
  }
}

.vertical-tabs__menu-item.is-selected {
  background-color: var(--color--white);

  @media (--lg) {
    margin-inline-end: calc(var(--vertical-tabs-menu-border-width) * -1);
    padding-inline-end: var(--vertical-tabs-menu-border-width);
  }
}

.vertical-tabs__menu-item.is-selected a {
  background-color: transparent;
}

.vertical-tabs__menu-item-summary {
  display: block;
  font-size: var(--font-size-s);
  line-height: var(--line-height-s);
}
